#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Diagnostics;

namespace LightSwitchApplication
{

    public partial class ApplicationDataService
    {

        //Replace these with your own values:
        const string SMTPServer = "smtp.somewhere.net";
        const string SMTPUserId = "user";
        const string SMTPPassword = "pass";
        const int SMTPPort = 25;

        const string AutoEmailAddress = "welcome@bookstore.com";

        partial void Authors_Inserted(Author entity)
        {
           

        }

        //This code shows how to intercept the update pipeline with Appointments are being added/updated/deleted 
        // in the database and how you can use the OfficeIntegration.SMTP classes to send iCal appointments via SMTP mail

        //In order to see appointments in in action:
        //1. add an employee from the Employees screen with a valid email (under Administration menu)
        //2. change an Author's email on the Author screen to a valid email (under Administration menu)
        //3. update the SMTP server settings above to your SMTP server

        partial void Appointments_Inserting(Appointment entity)
        {
            //These Msg* fields are used to track the appointments if they are updated or canceled (deleted)
            entity.MsgID = Guid.NewGuid().ToString();
            entity.MsgSequence = 0;
        }
        partial void Appointments_Updating(Appointment entity)
        {
            entity.MsgSequence += 1;
        }

        partial void Appointments_Inserted(Appointment entity)
        {
        }

        partial void Appointments_Updated(Appointment entity)
        {
           
        }

        partial void Appointments_Deleting(Appointment entity)
        {

          
        }


    }

}
