#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.IO;
using System.Reflection;
using Microsoft.LightSwitch.Model;

[Export(typeof(IApplicationDefinitionLoaderService))]
public class ApplicationDefinitionLoader : IApplicationDefinitionLoaderService
{
    private const string AppDefinition = @"bin\ApplicationDefinition.lsml";
    public IEnumerable<Stream> LoadModelFragments()
    {
        List<Stream> definitionStreams = new List<Stream>();
        definitionStreams.Add(File.OpenRead(Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, AppDefinition)));
        return definitionStreams;
    }
}
